<?php

    if ( ! defined( 'WP_UNINSTALL_PLUGIN' ) ) {
        die;
    }
    
    require_once __DIR__ . "/Classes/DigitalSignage4_caller.php";

    // die if not uninstalling
    if (!defined('WP_UNINSTALL_PLUGIN'))
        exit ();

    delete_option(DigitalSignage4_caller::AUTOMATISATION_TRACE);
    delete_option(DigitalSignage4_caller::DISK_FREE_SPACE);
    delete_option(DigitalSignage4_caller::FORFAIT);
    delete_option(DigitalSignage4_caller::PLACEMENT);
    delete_option(DigitalSignage4_caller::PRIX_FORMAT);
    delete_option(DigitalSignage4_caller::SITE);
    delete_option(DigitalSignage4_caller::WATERMARK);
    delete_option(DigitalSignage4_caller::AUTOMATISATIONS);
    delete_option(DigitalSignage4_caller::PLAYLISTS);
    delete_option(DigitalSignage4_caller::DISPLAYED_VIDEO_PODUCT);

    global $wpdb;
	$table_name = DigitalSignage4_caller::get_video_table_name();
    $sql = "DROP TABLE IF EXISTS $table_name";
    $wpdb->query($sql);

?>
